postcss-remove-amp-styling

    0.0.2 • Public • Published

    postcss-remove-amp-styling

    PostCSS plugin to remove invalid Google AMP styling.

    .menu {
      font-size: 14px;
    }
     
    .-amp-menu {
      font-size: 16px;
    }
    .menu {
      font-size: 14px;
    }

    Usage

    Check your project for existing PostCSS config: postcss.config.js in the project root, "postcss" section in package.json or postcss in bundle config.

    If you already use PostCSS, add the plugin to plugins list:

    module.exports = {
      plugins: [
    +   require('postcss-remove-amp-styling'),
        require('autoprefixer')
      ]
    }

    If you do not use PostCSS, add it according to official docs and set this plugin in settings.

    Install

    npm i postcss-remove-amp-styling

    DownloadsWeekly Downloads

    15

    Version

    0.0.2

    License

    MIT

    Unpacked Size

    4.17 kB

    Total Files

    6

    Last publish

    Collaborators

    • laurenashpole